%define	major 1
%define	libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d
%define	oname openal-soft

Summary:	3D Sound Library
Name:		openal
Version:	1.18.2
Release:	1
License:	LGPLv2.1+
Group:		Sound
Url:		http://www.openal.org
Source0:	http://www.openal-soft.org/openal-releases/%{oname}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
BuildRequires:	cmake >= 3.0.2
BuildRequires:	alsa-oss-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	qt4-devel >= 4.8
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
Provides:	%{oname} = %{EVRD}
Conflicts:	openal1 < 1.7.411-2
# Some files moved from library subpackage to main package
Conflicts:	%{libname} < 1.15

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%files
%doc ChangeLog COPYING README
%dir %{_sysconfdir}/openal
%config(noreplace) %{_sysconfdir}/openal/alsoft.conf
%{_bindir}/alffplay
#{_bindir}/alhrtf
#{_bindir}/allatency
#{_bindir}/alloopback
%{_bindir}/alrecord
#{_bindir}/alreverb
# Qt4 gui, not a config file!
%{_bindir}/alsoft-config
#{_bindir}/alstream
%{_bindir}/altonegen
%{_bindir}/bsincgen
%{_bindir}/makehrtf
%{_bindir}/openal-info
%{_datadir}/%{name}/alsoftrc.sample
%{_datadir}/%{name}/hrtf/default-44100.mhr
%{_datadir}/%{name}/hrtf/default-48000.mhr
%{_datadir}/%{name}/presets/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		System/Libraries
Requires:	%{name} >= %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%files -n %{libname}
%doc ChangeLog COPYING README
%{_libdir}/libopenal.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%files -n %{devname}
%doc ChangeLog COPYING README
%{_includedir}/AL
%{_libdir}/libopenal.so
%{_libdir}/cmake/OpenAL/*.cmake
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%apply_patches


%build
%cmake
%make


%install
%makeinstall_std -C build
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 0644 alsoftrc.sample %{buildroot}/%{_sysconfdir}/%{name}/alsoft.conf

# Fix .pc file to avoid rpmlint errors
%ifarch x86_64
sed -i 's|libdir=${exec_prefix}\/\/usr/lib64|libdir=${exec_prefix}\/usr/lib64|g' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
%else
sed -i 's|libdir=${exec_prefix}\/\/usr/lib|libdir=${exec_prefix}\/usr/lib|g' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
%endif


%changelog

* Mon Mar 26 2018 Giovanni Mariani <mc2374@mclink.it> 1.18.2-1
- (272126a) Note to self: there is also i586 to fix...


